/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorDiffXliffPleiadesToTranslationFragmentProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorDiffXliffPleiadesToTranslationFragmentProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * XLIFFファイルが格納されている入力先ルート・フォルダを指定します。
     *
     * フィールド: [xliffdir]。
     */
    private String fXliffdir;

    /**
     * 出力先となる翻訳フラグメントファイル。
     *
     * フィールド: [targetfile]。
     */
    private String fTargetfile;

    /**
     * add を出力するかどうか。
     *
     * フィールド: [isoutputadd]。
     * デフォルト: [true]。
     */
    private boolean fIsoutputadd = true;

    /**
     * change を出力するかどうか。
     *
     * フィールド: [isoutputchange]。
     * デフォルト: [true]。
     */
    private boolean fIsoutputchange = true;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [xliffdir] の値を設定します。
     *
     * フィールドの説明: [XLIFFファイルが格納されている入力先ルート・フォルダを指定します。]。
     *
     * @param argXliffdir フィールド[xliffdir]に設定する値。
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド [xliffdir] の値を取得します。
     *
     * フィールドの説明: [XLIFFファイルが格納されている入力先ルート・フォルダを指定します。]。
     *
     * @return フィールド[xliffdir]から取得した値。
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [targetfile] の値を設定します。
     *
     * フィールドの説明: [出力先となる翻訳フラグメントファイル。]。
     *
     * @param argTargetfile フィールド[targetfile]に設定する値。
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド [targetfile] の値を取得します。
     *
     * フィールドの説明: [出力先となる翻訳フラグメントファイル。]。
     *
     * @return フィールド[targetfile]から取得した値。
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [isoutputadd] の値を設定します。
     *
     * フィールドの説明: [add を出力するかどうか。]。
     *
     * @param argIsoutputadd フィールド[isoutputadd]に設定する値。
     */
    public void setIsoutputadd(final boolean argIsoutputadd) {
        fIsoutputadd = argIsoutputadd;
    }

    /**
     * フィールド [isoutputadd] の値を取得します。
     *
     * フィールドの説明: [add を出力するかどうか。]。
     * デフォルト: [true]。
     *
     * @return フィールド[isoutputadd]から取得した値。
     */
    public boolean getIsoutputadd() {
        return fIsoutputadd;
    }

    /**
     * フィールド [isoutputchange] の値を設定します。
     *
     * フィールドの説明: [change を出力するかどうか。]。
     *
     * @param argIsoutputchange フィールド[isoutputchange]に設定する値。
     */
    public void setIsoutputchange(final boolean argIsoutputchange) {
        fIsoutputchange = argIsoutputchange;
    }

    /**
     * フィールド [isoutputchange] の値を取得します。
     *
     * フィールドの説明: [change を出力するかどうか。]。
     * デフォルト: [true]。
     *
     * @return フィールド[isoutputchange]から取得した値。
     */
    public boolean getIsoutputchange() {
        return fIsoutputchange;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorDiffXliffPleiadesToTranslationFragmentProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",isoutputadd=" + fIsoutputadd);
        buf.append(",isoutputchange=" + fIsoutputchange);
        buf.append("]");
        return buf.toString();
    }
}
